Loading...
Searching...
No Matches
casacore::MSCorrParse Class Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSCorrParse.h>`

## Public Member Functions

| MSCorrParse ()
| Default constructor.
| MSCorrParse (const MeasurementSet *ms)
| Associate the ms and the shorthand.
const TableExprNode * | selectCorrType (const String &corrType)
| ~MSCorrParse() {if (node_p) delete node_p;node_p=0x0;} MS selection
Public Member Functions inherited from casacore::MSParse
| MSParse ()
| Default constructor for List container class.
| MSParse (const MSParse &)
| Copy constructor (copy semantics).
| ~MSParse ()
MSParse & | operator= (const MSParse &)
| Assignment (copy semantics).
| MSParse (const MeasurementSet *ms, const String &shorthand)
| Associate the ms and the shorthand.
| MSParse (const MSSelectableTable *ms, const String &shorthand)
| Associate the ms and the shorthand.
Bool | test (const String &shortHand) const
| Test if shorthand matches.
String & | shorthand ()
| Get the shorthand.
MeasurementSet * | ms ()
| Get ms object.
MSSelectableTable * | msInterface ()
| Get ms object.
void | setMS (MeasurementSet *ms)
void | setMSInterface (MSSelectableTable *msI)
void | addCondition (TableExprNode &target, TableExprNode &source)

## Static Public Member Functions

static const TableExprNode * | node ()
| Get table expression node object.
static void | cleanup ()

## Static Private Attributes

static TableExprNode * | node_p

## Additional Inherited Members

Static Public Attributes inherited from casacore::MSParse
static MeasurementSet * | ms_p
static MSSelectableTable * | msInterface_p

## Detailed Description

Class to hold values from UV dist grammar parser

### Intended use:

Internal

### Etymology

MSCorrParse is the class used to parse a corr command.

### Synopsis

MSCorrParse is used by the parser of UV dist sub-expression statements. The parser is written in Bison and Flex in files MSCorrGram.y and.l. The statements in there use the routines in this file to act upon a reduced rule. Since multiple tables can be given (with a shorthand), the table names are stored in a list. The variable names can be qualified by the table name and will be looked up in the appropriate table.

The class MSCorrParse only contains information about a table used in the table command. Global variables (like a list and a vector) are used in MSCorrParse.cc to hold further information.

Global functions are used to operate on the information. The main function is the global function msCorrCommand. It executes the given STaQL command and returns the resulting ms. This is, in fact, the only function to be used by a user.

### Motivation

It is necessary to be able to give a ms command in ASCII. This can be used in a CLI or in the table browser to get a subset of a table or to sort a table.

Definition at line 84 of file MSCorrParse.h.

## Constructor & Destructor Documentation

## MSCorrParse() [1/2]

casacore::MSCorrParse::MSCorrParse | ( |  | ) |

Default constructor.

## MSCorrParse() [2/2]

casacore::MSCorrParse::MSCorrParse | ( | const MeasurementSet * | ms | ) |

Associate the ms and the shorthand.

References casacore::MSParse::ms().

## Member Function Documentation

## cleanup()

void casacore::MSCorrParse::cleanup | ( |  | ) |

inline static

Definition at line 100 of file MSCorrParse.h.

References node_p.

## node()

const TableExprNode * casacore::MSCorrParse::node | ( |  | ) |

static

Get table expression node object.

## selectCorrType()

const TableExprNode * casacore::MSCorrParse::selectCorrType | ( | const String & | corrType | ) |

~MSCorrParse() {if (node_p) delete node_p;node_p=0x0;} MS selection

## Member Data Documentation

## node_p

TableExprNode* casacore::MSCorrParse::node_p

static private

Definition at line 103 of file MSCorrParse.h.

Referenced by cleanup().

The documentation for this class was generated from the following file:

- ms/MSSel/MSCorrParse.h